---
title: Game over
slug: Games/Tutorials/2D_breakout_game_Phaser/Game_over
tags:
  - 2D
  - Beginner
  - Canvas
  - Games
  - JavaScript
  - Phaser
  - Tutorial
  - game over
---
<div>{{GamesSidebar}}</div>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/Player_paddle_and_controls", "Games/Workflows/2D_Breakout_game_Phaser/Build_the_brick_field")}}</p>

<div class="summary">
<p>This is the <strong>8th step</strong> out of 16 of the <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser">Gamedev Phaser tutorial</a>. You can find the source code as it should look after completing this lesson at <a href="https://github.com/end3r/Gamedev-Phaser-Content-Kit/blob/gh-pages/demos/lesson08.html">Gamedev-Phaser-Content-Kit/demos/lesson08.html</a>.</p>
</div>

<p><span class="seoSummary">To make the game more interesting we can introduce the ability to lose — if you don't hit the ball before it reaches the bottom edge of the screen it will be game over.</span></p>

<h2 id="How_to_lose">How to lose</h2>

<p>To provide the ability to lose, we will disable the ball's collision with the bottom edge of the screen. Add the code below inside the <code>create()</code> function; just after you define the ball's attributes is fine:</p>

<pre class="brush: js notranslate">game.physics.arcade.checkCollision.down = false;
</pre>

<p>This will make the three walls (top, left and right) bounce the ball back, but the fourth (bottom) will disappear, letting the ball fall off the screen if the paddle misses it. We need a way to detect this and act accordingly. Add the following lines just below the previous new one:</p>

<pre class="brush: js notranslate">ball.checkWorldBounds = true;
ball.events.onOutOfBounds.add(function(){
    alert('Game over!');
    location.reload();
}, this);
</pre>

<p>Adding those lines will make the ball check the world (in our case canvas) bounds and execute the function bound to the <code>onOutOfBounds</code> event. When you click on the resulting alert, the page will be reloaded so you can play again.</p>

<h2 id="Compare_your_code">Compare your code</h2>

<p>You can check the finished code for this lesson in the live demo below, and play with it to understand better how it works:</p>

<p>{{JSFiddleEmbed("https://jsfiddle.net/end3r/436bckb7/","","400")}}</p>

<h2 id="Next_steps">Next steps</h2>

<p>Now the basic gameplay is in place let's make it more interesting by introducing bricks to smash — it's time to <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser/Build_the_brick_field">build the brick field</a>.</p>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/Player_paddle_and_controls", "Games/Workflows/2D_Breakout_game_Phaser/Build_the_brick_field")}}</p>
